/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
/// <reference types="node" />
import { EventEmitter } from "events";
import { IContext, IPartitionLambda, IPartitionLambdaConfig, IPartitionLambdaFactory, ITaskMessageSender, ITenantManager, TokenGenerator } from "@fluidframework/server-services-core";
export declare class ForemanLambdaFactory extends EventEmitter implements IPartitionLambdaFactory {
    private readonly messageSender;
    private readonly tenantManager;
    private readonly tokenGenerator;
    private readonly permissions;
    constructor(messageSender: ITaskMessageSender, tenantManager: ITenantManager, tokenGenerator: TokenGenerator, permissions: any);
    create(config: IPartitionLambdaConfig, context: IContext): Promise<IPartitionLambda>;
    dispose(): Promise<void>;
}
//# sourceMappingURL=lambdaFactory.d.ts.map